Subject: bug#15206: closed (Re: bug#15206: Report od bugs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Aug 2013 11:52:03 +0000

Your bug report

#15206: Report od bugs

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15206: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15206
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15206: Report od bugs
From: Eric Blake <[email-masked]>
To: Kaitao Lai <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Aug 2013 05:51:14 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

tag 15206 notabug
thanks

On 08/29/2013 12:01 AM, Kaitao Lai wrote:
> Dear Sir/Madam,
> 
> I am writing this email to report a bug from od command. I am working in bioinformatics research filed, and currently I am trying to convert phred scores from fastq format file to Ascii values, and met weird things. For example, when I try to convert 100 characters into ASCII values, if the last 30 characters are the same, it only return part of values, NOT the complete values.
> The example is listed below:
> If there is very long poly-# string, then below 100 characters only return 84 ASCII values.
> 
> $ echo '=:?D+AAB<B?DCAFEBAF?GHIBGFGCDGBGAFG8CF?F?D=DG?BFHG=@77C#############################################' | od -An -t dC
>    61   58   63   68   43   65   65   66   60   66   63   68   67   65   70   69
>    66   65   70   63   71   72   73   66   71   70   71   67   68   71   66   71
>    65   70   71   56   67   70   63   70   63   68   61   68   71   63   66   70
>    72   71   61   64   55   55   67   35   35   35   35   35   35   35   35   35
>    35   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35
> *
>    35   35   35   35   10

This behavior is documented, and required by POSIX.
http://pubs.opengroup.org/onlinepubs/9699919799/utilities/od.html

If you don't want elision of identical lines, then you must use the -v
option.

As this is working as intended, and is just usage error on your part,
I'm marking this as not a bug.  Feel free to add further comments or
questions to this report, though.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Subject: Report od bugs
From: Kaitao Lai <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 29 Aug 2013 06:01:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Sir/Madam,

I am writing this email to report a bug from od command. I am working in bioinformatics research filed, and currently I am trying to convert phred scores from fastq format file to Ascii values, and met weird things. For example, when I try to convert 100 characters into ASCII values, if the last 30 characters are the same, it only return part of values, NOT the complete values.
The example is listed below:
If there is very long poly-# string, then below 100 characters only return 84 ASCII values.

$ echo '=:?D+AAB<B?DCAFEBAF?GHIBGFGCDGBGAFG8CF?F?D=DG?BFHG=@77C#############################################' | od -An -t dC
   61   58   63   68   43   65   65   66   60   66   63   68   67   65   70   69
   66   65   70   63   71   72   73   66   71   70   71   67   68   71   66   71
   65   70   71   56   67   70   63   70   63   68   61   68   71   63   66   70
   72   71   61   64   55   55   67   35   35   35   35   35   35   35   35   35
   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35
*
   35   35   35   35   10

If I changed the last poly-# with one different character, it can return the full 100 ASCII values. Please see below:

$ echo '=:?D+AAB<B?DCAFEBAF?GHIBGFGCDGBGAFG8CF?F?D=DG?BFHG=@77C######################A######################' | od -An -t dC
   61   58   63   68   43   65   65   66   60   66   63   68   67   65   70   69
   66   65   70   63   71   72   73   66   71   70   71   67   68   71   66   71
   65   70   71   56   67   70   63   70   63   68   61   68   71   63   66   70
   72   71   61   64   55   55   67   35   35   35   35   35   35   35   35   35
   35   35   35   35   35   35   35   35   35   35   35   35   35   65   35   35
   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35   35
   35   35   35   35   10

Above command is running in Ubuntu environment. I am looking forward to your reply.

Cheers,
Kaitao Lai